<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_login
 *
 * @copyright   Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

JHtml::_('behavior.keepalive');
?>
<form action="<?php echo JRoute::_('index.php', true, $params->get('usesecure')); ?>" method="post" id="login-form" class="form-vertical">
<?php if ($params->get('greeting')) : ?>
	<div class="login-greeting">
	<?php if ($params->get('name') == 0) : {
		echo JText::sprintf('MOD_LOGIN_HINAME', htmlspecialchars($user->get('name')));
	} else : {
		echo JText::sprintf('MOD_LOGIN_HINAME', htmlspecialchars($user->get('username')));
	} endif; ?>
	</div>
<?php endif; ?>

	<?php
	$fuser 		= JFactory::getUser()->get('phpbb');
	$favatar 	= isset($_COOKIE['p8pbb_avatar'.$user->id]) ? $_COOKIE['p8pbb_avatar'.$user->id] : null;
	
	if (isset($fuser['user_avatar']) && $fuser['user_avatar']) {
		switch ($fuser['user_avatar_type']) {
			case 1:
				$favatar = '/phpBB3/download/file.php?avatar=' . $fuser['user_avatar'];
				break;
				
			case 2:
				$favatar = $fuser['user_avatar'];
				break;

			case 3:
				$favatar = '/phpBB3/images/avatars/gallery/' . $fuser['user_avatar'];
				break;
		}
		
		setcookie('p8pbb_avatar'.$user->id, $favatar, time()+2592000, '/'); // 1 month
	} else {
		// No avatar image
		$favatar = '/phpBB3/styles/prosilver/theme/images/no_avatar.gif';
	}
	?>

	<div style="text-align:center; padding:5px 0">
		<a href="forum/user" title="Edit profile" style="background:none; padding:0">
			<img src="<?php echo $favatar;?>" alt="" style="border:1px solid #d7d7d7; padding:1px" />
		</a>
		<?php if (isset($fuser['user_new_privmsg']) && $fuser['user_new_privmsg']) {?>
			<p>You have <?php echo $fuser['user_new_privmsg'];?> new message(s).</p>
		<?php }?>
	</div>
	
	<div class="logout-button">
		<input type="submit" name="Submit" class="btn btn-primary" value="<?php echo JText::_('JLOGOUT'); ?>" />
		<input type="hidden" name="option" value="com_users" />
		<input type="hidden" name="task" value="user.logout" />
		<input type="hidden" name="return" value="<?php echo $return; ?>" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>
